Bug 1291091 - kBuild FTBFS on aarch64
Summary: kBuild FTBFS on aarch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kBuild
Version: 27
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-12-13 17:46 UTC by Yaakov Selkowitz
Modified: 2018-01-01 22:19 UTC (History)
5 users (show)

Fixed In Version: kBuild-0.1.9998-6.r2784.fc23 kBuild-0.1.9998-6.r2784.fc22 kBuild-0.1.9998-6.r2784.el7 kBuild-0.1.9998-16.r3127.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-01 22:19:59 UTC


Attachments (Terms of Use)
Patch for rawhide/f23/epel7 (3.21 KB, patch)
2015-12-21 22:39 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2015-12-13 17:46:12 UTC
Attempting to build kBuild on aarch64 results in the following error:

+ kBuild/env.sh --full make -f bootstrap.gmk -j8 'CFLAGS=-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  ' KBUILD_VERBOSE=2 KBUILD_VERSION_PATCH=9998
kBuild/env.sh: unknown cpu/arch - aarch64
error: Bad exit status from /var/tmp/rpm-tmp.AxDTyq (%build)
    Bad exit status from /var/tmp/rpm-tmp.AxDTyq (%build)

It looks like this needs some porting work.

Comment 1 Sergio Monteiro Basto 2015-12-14 02:35:46 UTC

https://build.opensuse.org/package/view_file/devel:tools:building/kbuild/ppc64le.patch?expand=1


we need something like this for aarch64 ?

Comment 2 Yaakov Selkowitz 2015-12-14 04:07:24 UTC
(In reply to Sergio Monteiro Basto from comment #1)
> https://build.opensuse.org/package/view_file/devel:tools:building/kbuild/
> ppc64le.patch?expand=1
> 
> we need something like this for aarch64 ?

Yes, something like that.

Comment 3 Sergio Monteiro Basto 2015-12-21 06:49:55 UTC
(In reply to Yaakov Selkowitz from comment #2)
> (In reply to Sergio Monteiro Basto from comment #1)
> > https://build.opensuse.org/package/view_file/devel:tools:building/kbuild/
> > ppc64le.patch?expand=1
> > 
> > we need something like this for aarch64 ?
> 
> Yes, something like that.

I forgot to tell you sooner, I'm just a package maintainer, I haven't much knowledge or time to do the patch, but I accept patches to include in package.
Well while I was writing this, I found a new patch in Debian: http://anonscm.debian.org/cgit/pkg-virtualbox/kbuild.git/tree/debian/patches/12_arm64.diff

I already reported upstream http://trac.netlabs.org/kbuild/ticket/118#comment:1

Before apply and submit a new build, I'd like know your opinion about this Debian patch , looks good ?

Comment 4 Yaakov Selkowitz 2015-12-21 22:39:16 UTC
Created attachment 1108519 [details]
Patch for rawhide/f23/epel7

(In reply to Sergio Monteiro Basto from comment #3)
> Well while I was writing this, I found a new patch in Debian:
> http://anonscm.debian.org/cgit/pkg-virtualbox/kbuild.git/tree/debian/patches/12_arm64.diff
> 
> Before apply and submit a new build, I'd like know your opinion about this
> Debian patch , looks good ?

It needs a few adjustments to apply on top of our patch set.  The attached
patch for rawhide (which can be merged into f23 and epel7) builds successfully
on aarch64.

Thanks for looking into this.

Comment 5 Sergio Monteiro Basto 2015-12-22 15:04:55 UTC
Cool! I'm going commit it now (after finish basic tests) 
Thanks.

Comment 6 Fedora Update System 2015-12-22 18:26:51 UTC
kBuild-0.1.9998-6.r2784.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9c71fa56d2

Comment 7 Fedora Update System 2015-12-22 18:48:51 UTC
kBuild-0.1.9998-6.r2784.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-39cb897a2c

Comment 8 Fedora Update System 2015-12-22 18:49:11 UTC
kBuild-0.1.9998-6.r2784.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c4e77a82fb

Comment 9 Fedora Update System 2015-12-25 01:58:43 UTC
kBuild-0.1.9998-6.r2784.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9c71fa56d2

Comment 10 Fedora Update System 2015-12-27 03:20:58 UTC
kBuild-0.1.9998-6.r2784.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-c4e77a82fb

Comment 11 Fedora Update System 2015-12-30 20:57:53 UTC
kBuild-0.1.9998-6.r2784.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-39cb897a2c

Comment 12 Fedora Update System 2016-01-03 20:22:21 UTC
kBuild-0.1.9998-6.r2784.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-01-13 06:24:50 UTC
kBuild-0.1.9998-6.r2784.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-02-02 22:07:41 UTC
kBuild-0.1.9998-6.r2784.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Sergio Monteiro Basto 2017-08-06 03:11:59 UTC
Hello , recent changes on kBuild makes that we need refactor these patches [2], any help is appreciate [1] 

Cheers,

[1]
http://trac.netlabs.org/kbuild/ticket/128#comment:2
http://trac.netlabs.org/kbuild/ticket/118#comment:2

[2] 

https://koji.fedoraproject.org/koji/taskinfo?taskID=20992024

Comment 16 Sergio Monteiro Basto 2017-08-06 03:16:03 UTC
Dennis Gilmore I added you because you opened bug #925624, I'm just looking for some help.

Comment 17 Jan Kurik 2017-08-15 07:41:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 18 Fedora Update System 2017-12-03 15:34:28 UTC
kBuild-0.1.9998-16.r3127.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-26e23ec773

Comment 19 Fedora Update System 2017-12-03 22:02:30 UTC
kBuild-0.1.9998-16.r3127.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-26e23ec773

Comment 20 Fedora Update System 2018-01-01 22:19:59 UTC
kBuild-0.1.9998-16.r3127.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.